% This code is licensed under the 3-clause BSD license.
% Copyright ETH Zurich, Laboratory of Physical Chemistry, Reiher Group.
% See LICENSE.txt for details.

function dA = actEnergyFromRateConstant(k,T)

  R  = 8.314e-03; % gas constant [kJ mol^-1 K^-1)]
  kB = 1.381e-23; % Boltzmann constant [J K^-1]
  h  = 6.626e-34; % Planck constant [J s^-1]

  dA = -(R * T) * log(k * h / (kB * T));

end
