% This code is licensed under the 3-clause BSD license.
% Copyright ETH Zurich, Laboratory of Physical Chemistry, Reiher Group.
% See LICENSE.txt for details.

function Ab_edge = edgeEnergy(A0_node,Ab_node,A0_edge,rxns,errMean)

  B        = size(Ab_node,2);
  L        = length(A0_edge);
  rxns     = rxns + 1;
  dA_node  = [zeros(1,B);Ab_node-A0_node];

  for l = 1:L
    Ab_edge(l,:) = (dA_node(rxns(l,1),:) + dA_node(rxns(l,2),:) + ...
                    dA_node(rxns(l,3),:) + dA_node(rxns(l,4),:)) / 2 + ...
                    A0_edge(l,:);
  end

  Ab_edge = Ab_edge + normrnd(0,2*errMean,L,B); 

end
