% This code is licensed under the 3-clause BSD license.
% Copyright ETH Zurich, Laboratory of Physical Chemistry, Reiher Group.
% See LICENSE.txt for details.

function dydt = odefcn(t,y,rxns,k)

  y = [1;y];
  L = size(rxns,1);
  r = rxns + 1;
  S = stoichMatrix(r);

  y = y(r);

  if L == 1
    y = y';
  end

  for l = 1:L
    f(l,1) = k(l,1) * y(l,1) * y(l,2) - k(L+l) * y(l,3) * y(l,4);
  end

  dydt = S * f;

end
