% This code is licensed under the 3-clause BSD license.
% Copyright ETH Zurich, Laboratory of Physical Chemistry, Reiher Group.
% See LICENSE.txt for details.

if ~exist('nfig')
  nfig = 0;
end

nfig = nfig + 1;

figure(nfig);

m = quantile(max(ys(:,:,:,1)),(1+clevel)/2,3) > y_min;
M = sum(m);

for n = 1:max(rxns(:))
  if m(n)
    subplot(round(sqrt(M)),ceil(sqrt(M)),sum(m(1:n))); hold
    for b = 1:size(ys,3)
      plot(ts,ys(:,n,b,1));
    end
    title(['species ',num2str(n)]);
    xlim([0,t_max]);
    ylim([0,max(max(ys_full(:,n,:,1)))*1.1]);
    box on
    set(gca,'FontSize',12')
    xlabel('time / s');
    ylabel('conc. / (mol / L)');
    set(gcf,'color','w');
  end
end

drawnow

fprintf('\n');
