% This code is licensed under the 3-clause BSD license.
% Copyright ETH Zurich, Laboratory of Physical Chemistry, Reiher Group.
% See LICENSE.txt for details.

fprintf('KiNetX starts...\n\n');

edges = load('crn/edges.crn');
nodes = load('crn/nodes.crn');
inits = nodes(find(nodes(:,4)),:);
nodes = [0,1,0,1;nodes];

B     = (size(edges,2) - 4) / 2;
C     = floor(sqrt(B));
tspan = [0 t_max];
ts    = [0;logspace(log10(t_max*1e-6),log10(t_max),U)'];
dt    = diff(ts);

rxns  = edges(:,1:4);
k     = [edges(:,5:B+4);edges(:,B+5:end)];
spec  = nodes(2:max(rxns(:))+1,:);
y0    = spec(:,2);
mass  = spec(:,3);
Y     = y0' * mass;
N     = length(unique(rxns)) - sum(~unique(rxns));
L     = size(rxns,1);

%meta
%B = 1;
%C = 1;
C = B - 1;
