% This code is licensed under the 3-clause BSD license.
% Copyright ETH Zurich, Laboratory of Physical Chemistry, Reiher Group.
% See LICENSE.txt for details.

function k = rateConstant(dA,T)

  R  = 8.314e-03; % gas constant [kJ mol^-1 K^-1)]
  kB = 1.381e-23; % Boltzmann constant [J K^-1]
  h  = 6.626e-34; % Planck constant [J s^-1]

  k = kB * T * exp(-dA / (R * T)) / h;

end
