% This code is licensed under the 3-clause BSD license.
% Copyright ETH Zurich, Laboratory of Physical Chemistry, Reiher Group.
% See LICENSE.txt for details.

function [g_inf g_net fp fm] = rates(rxns,k,ys,ts)

  r = rxns + 1;
  L = size(r,1);
  U = size(ts,1);

  S     = stoichMatrix(r);
  S_pos = abs(S .* (S < 0));
  S_neg = S .* (S > 0);

  for u = 1:U

    y = [1;ys(u,:)'];
    y = y(r);

    if L == 1
      y = y';
    end

    for l = 1:L
      f_pos(l,1) = k(l)   * y(l,1) * y(l,2);
      f_neg(l,1) = k(L+l) * y(l,3) * y(l,4);
    end

    g_inf(:,u) = S_pos * f_neg + S_neg * f_pos;
    g_net(:,u) = (S_pos + S_neg) * abs(f_pos - f_neg);;
    fp(:,u)    = f_pos;
    fm(:,u)    = f_neg;
 
  end

end
