% This code is licensed under the 3-clause BSD license.
% Copyright ETH Zurich, Laboratory of Physical Chemistry, Reiher Group.
% See LICENSE.txt for details.

function S = stoichMatrix(rxns)

  L = size(rxns,1);
  N = max(rxns(:));
  S = zeros(N,L);

  for l = 1:L
    S(rxns(l,1),l) = S(rxns(l,1),l) - 1;
    S(rxns(l,2),l) = S(rxns(l,2),l) - 1;
    S(rxns(l,3),l) = S(rxns(l,3),l) + 1;
    S(rxns(l,4),l) = S(rxns(l,4),l) + 1;
  end

  S = S(2:end,:);

end
